Subject: bug#55946: 29.0.50; minibuffer-mode lacks an abbrev table

From: Eli Zaretskii <[email-masked]>
Date: Mon, 13 Jun 2022 20:50:37 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 13 Jun 2022 12:35:43 -0500
> 
> >> I'd like to define an abbrev for minibuffer-mode but it doesn't have an
> >> abbrev table.  There's a comment in minibuffer.el saying that this is
> >> because abbrev.el is not loaded early enough.
> >
> > AFAICT, we only invoke this mode from C if it is fboundp.  So maybe
> > try changing that, and see if both a bootstrap and a simple build run
> > to completion OK.
> 
> Thanks.  I see what you mean.  Tested both of those and it works.  Shall
> I push to master so it can receive wider testing?

Let's see what Stefan thinks about this.

Stefan, any comments?